HanMacWrdJTextInternal::State Struct Reference documentation

HanMacWrdJTextInternal::State Struct Reference

Internal: the state of a HanMacWrdJText. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_version
| the file version
std::vector< MWAWFont > | m_fontList
| the font list
std::vector< Paragraph > | m_paragraphList
| the list of paragraph
std::vector< Section > | m_sectionList
| the list of section
long | m_ftnTextId
| the footnote zone id;
std::vector< long > | m_ftnFirstPosList
| the footnote begin positions
std::vector< TextZone > | m_textZoneList
| the list of text zone
std::map< long, int > | m_idTextZoneMap
| a map textId -> id in m_textZoneList
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a HanMacWrdJText.

## Constructor & Destructor Documentation

## ◆ State()

HanMacWrdJTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actualPage

int HanMacWrdJTextInternal::State::m_actualPage

Referenced by State().

## ◆ m_fontList

std::vector<MWAWFont> HanMacWrdJTextInternal::State::m_fontList

the font list

Referenced by State().

## ◆ m_ftnFirstPosList

std::vector<long> HanMacWrdJTextInternal::State::m_ftnFirstPosList

the footnote begin positions

Referenced by State().

## ◆ m_ftnTextId

long HanMacWrdJTextInternal::State::m_ftnTextId

the footnote zone id;

Referenced by State().

## ◆ m_idTextZoneMap

std::map<long, int> HanMacWrdJTextInternal::State::m_idTextZoneMap

a map textId -> id in m_textZoneList

Referenced by State().

## ◆ m_numPages

int HanMacWrdJTextInternal::State::m_numPages

Referenced by State().

## ◆ m_paragraphList

std::vector<Paragraph> HanMacWrdJTextInternal::State::m_paragraphList

the list of paragraph

Referenced by State().

## ◆ m_sectionList

std::vector<Section> HanMacWrdJTextInternal::State::m_sectionList

the list of section

Referenced by State().

## ◆ m_textZoneList

std::vector<TextZone> HanMacWrdJTextInternal::State::m_textZoneList

the list of text zone

Referenced by State().

## ◆ m_version

int HanMacWrdJTextInternal::State::m_version
| mutable

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- HanMacWrdJText.cxx